GetFitExtendedG {ptest} | R Documentation

## Compute the extended Fisher's g test statistic

### Description

The extended Fisher's g te statistic is computed for testing for periodicity.

### Usage

    GetFitExtendedG(y)

### Arguments

`y` | Vector containing the series.

### Details

Extend the Fisher's g test by enlarging the searching region of the frequency from the fourier frequencies to be En = {j/101 | j=1,…,50 and j/101 ≥ 1/n}.

### Value

Vector of length 2 containing the modified Fisher's G test statistic and the frequency for the maximum periodogram.

### Author(s)

Yuanhao Lai

### References

Fisher, R.A. (1929). Tests of significance in harmonic analysis. Proc. Roy. Soc. A, 125, 54-59.

[Package ptest version 1.0-8 Index]